#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

require 'test/unit'
require 'src/websites/youporn'

# Remote Youporn tests. Actually hit their website
# and attempt to parse the data returned.

class YoupornRemoteTest < Test::Unit::TestCase
  
  def test_get_page_data
    yp = Youporn.new('http://www.youporn.com/watch/65778')
    expected_result = 'http://download.youporn.com/download/112911/flv/65778_moaning_mom_fucked_at_night.flv'
    actual_result = yp.get_video_url()
    assert_equal(expected_result, actual_result)
  end
    
end
